import 'package:flutter/material.dart';

class ColourCard extends StatefulWidget {
  final Color col;
  final String colName;
  const ColourCard(this.col,this.colName);

  @override
  _ColourCardState createState() => _ColourCardState();
}

class _ColourCardState extends State<ColourCard> {
  @override
  Widget build(BuildContext context) {
    return InkWell(
      splashColor: Colors.blue.withAlpha(30),
      onTap: () {
        print(widget.colName);
      },
      child:
      Padding(
      padding: EdgeInsets.only(bottom: 20.0),
      child: Row(
      children: [
        Column(
          children: <Widget>[
            Container(
              width: 180,
              height: 50,
              child: Center(
                child: Text(widget.colName,style: TextStyle(color: Colors.deepPurpleAccent, fontSize: 22,),),
              ),
            ),
          ],
        ),
        SizedBox(
          width: 30.0,
        ),
        Column(
          children: <Widget>[
            Container(
              width: 100,
              height: 50,
              decoration: BoxDecoration(
                  shape: BoxShape.rectangle,
                  borderRadius: BorderRadius.circular(20.0),
                  color: widget.col,
                  border: Border.all(width: 1.0, color: widget.col,),
                  boxShadow: [
                    BoxShadow(
                        color: Colors.black12,
                        blurRadius: 4,
                        offset: Offset(0, 2))
                  ]),
            ),
          ],
        ),
      ],
      ),
      ),
    );
  }
}
