import 'package:flutter/material.dart';

import '../constants.dart';
import '../size_config.dart';

class DefaultButton extends StatelessWidget {
  const DefaultButton({
    Key key,
    this.text,
    this.press,
    this.bg,
  }) : super(key: key);
  final String text;
  final Function press;
  final bool bg;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      height: getProportionateScreenHeight(56),
      child: bg ?
      FlatButton(
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
        color: kPrimaryColor,
        onPressed: press,
        child: Text(
          text,
          style: TextStyle(
            fontSize: getProportionateScreenWidth(18),
            color: Colors.white,
          ),
        ),
      ) :
      OutlineButton(
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20),),
        borderSide: BorderSide(color: Colors.deepPurpleAccent),
        onPressed: press,
        child: Text(
          text,
          style: TextStyle(
            fontSize: getProportionateScreenWidth(18),
            color: Colors.deepPurpleAccent,
          ),
        ),
      )
    );
  }
}
