import 'dart:ffi';

import 'package:fitton/component/clipper.dart';
import 'package:fitton/component/default_button.dart';
import 'package:fitton/screens/suggestColor/suggestColor.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class BodyMeasurementForm extends StatefulWidget {
  final Color skinTone;
  BodyMeasurementForm(this.skinTone);

  @override
  _BodyMeasurementFormState createState() => _BodyMeasurementFormState();
}

class _BodyMeasurementFormState extends State<BodyMeasurementForm> {

  double height,bGirth,uBGirth,wGirth,hGirth,insideLLength,armLength,neckBLength = 0.0;
  List<double> mList;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          ClipPath(
              clipper: MyClipper(),
              child: Container(
                color: Colors.deepPurpleAccent,
              )
          ),
          SingleChildScrollView(
            child: Padding(
              padding: EdgeInsets.only(left: 30.0, right: 30.0),
              child: Column(
                children: <Widget>[
                  SizedBox(
                    height: 80.0,
                  ),
                  Center(
                    child: Text("Enter Body Sizes", style: TextStyle(color: Colors.white, fontSize: 30, fontWeight: FontWeight.bold),),
                  ),
                  SizedBox(
                    height: 20.0,
                  ),
                  Center(
                    child: Text("Enter your body measurements to determine the Best matching clothes.", style: TextStyle(color: Colors.white, fontSize: 20,),),
                  ),
                  SizedBox(
                    height: 50.0,
                  ),
                  Container(
                    padding: EdgeInsets.all(5),
                    decoration: BoxDecoration(
                        color: Colors.white,
                        borderRadius: BorderRadius.circular(10),
                        boxShadow: [
                          BoxShadow(
                              color: Color.fromRGBO(143, 148, 251, .2),
                              blurRadius: 20.0,
                              offset: Offset(0, 10)
                          )
                        ]
                    ),
                    child: Column(
                      children: <Widget>[
                        Container(
                          padding: EdgeInsets.all(8.0),
                          decoration: BoxDecoration(
                              border: Border(bottom: BorderSide(color: Colors.grey[100]))
                          ),
                          child: TextField(
                            keyboardType: TextInputType.number,
                            onChanged: (String value) {
                              setState(() {
                                height = double.tryParse(value);
                              });
                            },
                            decoration: InputDecoration(
                                border: InputBorder.none,
                                hintText: "Height",
                                hintStyle: TextStyle(color: Colors.deepPurpleAccent)
                            ),
                          ),
                        ),
                        Container(
                          padding: EdgeInsets.all(8.0),
                          decoration: BoxDecoration(
                              border: Border(bottom: BorderSide(color: Colors.grey[100]))
                          ),
                          child: TextField(
                            keyboardType: TextInputType.number,
                            onChanged: (String value) {
                              setState(() {
                                bGirth = double.tryParse(value);
                              });
                            },
                            decoration: InputDecoration(
                                border: InputBorder.none,
                                hintText: "Bust Girth",
                                hintStyle: TextStyle(color: Colors.deepPurpleAccent)
                            ),
                          ),
                        ),
                        Container(
                          padding: EdgeInsets.all(8.0),
                          decoration: BoxDecoration(
                              border: Border(bottom: BorderSide(color: Colors.grey[100]))
                          ),
                          child: TextField(
                            keyboardType: TextInputType.number,
                            onChanged: (String value) {
                              setState(() {
                                uBGirth = double.tryParse(value);
                              });
                            },
                            decoration: InputDecoration(
                                border: InputBorder.none,
                                hintText: "Under-bust Girth",
                                hintStyle: TextStyle(color: Colors.deepPurpleAccent)
                            ),
                          ),
                        ),
                        Container(
                          padding: EdgeInsets.all(8.0),
                          decoration: BoxDecoration(
                              border: Border(bottom: BorderSide(color: Colors.grey[100]))
                          ),
                          child: TextField(
                            keyboardType: TextInputType.number,
                            onChanged: (String value) {
                              setState(() {
                                wGirth = double.tryParse(value);
                              });
                            },
                            decoration: InputDecoration(
                                border: InputBorder.none,
                                hintText: "Waist Girth",
                                hintStyle: TextStyle(color: Colors.deepPurpleAccent)
                            ),
                          ),
                        ),
                        Container(
                          padding: EdgeInsets.all(8.0),
                          decoration: BoxDecoration(
                              border: Border(bottom: BorderSide(color: Colors.grey[100]))
                          ),
                          child: TextField(
                            keyboardType: TextInputType.number,
                            onChanged: (String value) {
                              setState(() {
                                hGirth = double.tryParse(value);
                              });
                            },
                            decoration: InputDecoration(
                                border: InputBorder.none,
                                hintText: "Hip Girth",
                                hintStyle: TextStyle(color: Colors.deepPurpleAccent)
                            ),
                          ),
                        ),
                        Container(
                          padding: EdgeInsets.all(8.0),
                          decoration: BoxDecoration(
                              border: Border(bottom: BorderSide(color: Colors.grey[100]))
                          ),
                          child: TextField(
                            keyboardType: TextInputType.number,
                            onChanged: (String value) {
                              setState(() {
                                insideLLength = double.tryParse(value);
                              });
                            },
                            decoration: InputDecoration(
                                border: InputBorder.none,
                                hintText: "Inside Leg Length",
                                hintStyle: TextStyle(color: Colors.deepPurpleAccent)
                            ),
                          ),
                        ),
                        Container(
                          padding: EdgeInsets.all(8.0),
                          decoration: BoxDecoration(
                              border: Border(bottom: BorderSide(color: Colors.grey[100]))
                          ),
                          child: TextField(
                            keyboardType: TextInputType.number,
                            onChanged: (String value) {
                              setState(() {
                                armLength = double.tryParse(value);
                              });
                            },
                            decoration: InputDecoration(
                                border: InputBorder.none,
                                hintText: "Arm Length",
                                hintStyle: TextStyle(color: Colors.deepPurpleAccent)
                            ),
                          ),
                        ),
                        Container(
                          padding: EdgeInsets.all(8.0),
                          decoration: BoxDecoration(
                              border: Border(bottom: BorderSide(color: Colors.grey[100]))
                          ),
                          child: TextField(
                            keyboardType: TextInputType.number,
                            onChanged: (String value) {
                              setState(() {
                                neckBLength = double.tryParse(value);
                              });
                            },
                            decoration: InputDecoration(
                                border: InputBorder.none,
                                hintText: "Neck-base Length",
                                hintStyle: TextStyle(color: Colors.deepPurpleAccent)
                            ),
                          ),
                        ),
                      ],
                    ),
                  ),
                  SizedBox(
                    height: 50.0,
                  ),
                  DefaultButton(
                    text: "Let's Find out Results",
                    bg: false,
                    press: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => (BodyMeasurementForm(widget.skinTone))),
                      );
                    },
                  ),
                  SizedBox(
                    height: 20.0,
                  ),
                  DefaultButton(
                    text: "Back",
                    bg: true,
                    press: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => (SuggestColor(widget.skinTone))),
                      );
                    },
                  ),
                  SizedBox(
                    height: 20.0,
                  ),
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
