import 'package:fitton/component/clipper.dart';
import 'package:fitton/screens/skinColourDetection/imagepicker.dart';
import 'package:flutter/material.dart';

class Home extends StatefulWidget{
  @override
  _HomeApp createState() => _HomeApp();
}

class _HomeApp extends State<Home> {

  @override
  Widget build(BuildContext context){
    return WillPopScope(
      onWillPop: () {
        return new Future(() => false);
      },
      child: Scaffold(
          body: Stack(
            children: [
              ClipPath(
                  clipper: MyClipper(),
                  child: Container(
                    color: Colors.deepPurpleAccent,
                  )
              ),
              SingleChildScrollView(
                child:  Column(
                  children: <Widget>[
                    SizedBox(
                      height: 750.0,
                    ),
                    FloatingActionButton.extended(
                      onPressed: () {
                        chatBotModalBox(context);
                      },
                      label: const Text('Chat Bot'),
                      backgroundColor: Colors.deepPurpleAccent,
                    )
                  ],
                ),
              ),
            ],
          ),
        floatingActionButton: FloatingActionButton.extended(
          onPressed: () {
            Navigator.push(
              context,
              MaterialPageRoute(builder: (context) => (ImgPicker())),
            );
          },
          label: const Text('Smart Selection'),
          icon: const Icon(Icons.assignment_ind_outlined),
          backgroundColor: Colors.deepPurpleAccent,
        ),
      ),
    );
  }

  //chat bot
  void chatBotModalBox(context){
    showModalBottomSheet(context: context, builder: (BuildContext bc){
      return Container(
        height: MediaQuery.of(context).size.height *.8,
        child: Padding(
          padding: const EdgeInsets.all(15.0),
          child: SingleChildScrollView(
            child: Column(
              children: [
                Center(
                  child: Text("Fitton Assistant", style: TextStyle(color: Colors.deepPurpleAccent, fontSize: 23, fontWeight: FontWeight.bold),),
                ),
                SizedBox(
                  height: 30.0,
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Container(
                      padding: EdgeInsets.all(10),
                      constraints: BoxConstraints(
                          maxWidth: MediaQuery.of(context).size.width * 0.6),
                      decoration: BoxDecoration(
                          color: Colors.deepPurpleAccent,
                          borderRadius: BorderRadius.only(
                            topLeft: Radius.circular(16),
                            topRight: Radius.circular(16),
                            bottomLeft: Radius.circular(12),
                            bottomRight: Radius.circular(12),
                          )),
                      child: Text(
                        " Hello Dulini",
                        style: TextStyle(color: Colors.white),
                      ),
                    ),
                  ],
                ),
                SizedBox(
                  height: 10.0,
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.end,
                  children: [
                    Container(
                      padding: EdgeInsets.all(10),
                      constraints: BoxConstraints(
                          maxWidth: MediaQuery.of(context).size.width * 0.6),
                      decoration: BoxDecoration(
                          color: Colors.grey[200],
                          borderRadius: BorderRadius.only(
                            topLeft: Radius.circular(16),
                            topRight: Radius.circular(16),
                            bottomLeft: Radius.circular(12),
                            bottomRight: Radius.circular(12),
                          )),
                      child: Text(
                        "I need to choose a saree.",
                      ),
                    ),
                  ],
                ),
                Container(
                  padding: EdgeInsets.all(15.0),
                  alignment: Alignment(0.0, -1.0),
                  child: TextField(
                    enableSuggestions: false,
                    autocorrect: false,
                    obscureText: true,
                    decoration: InputDecoration(
                        hintText: "Whats On Your Mind?",
                        hintStyle: TextStyle(color: Colors.grey[400]),
                        suffixIcon: IconButton(
                        icon: Icon(Icons.send),
                        onPressed: (
                            (){
                              print("Hi");
                            }
                        ),
                        )
                    ),
                  ),
                ),
              ],
            ),
          ),
        ),
      );
    });
  }
}