import 'package:fitton/component/default_button.dart';
import 'package:fitton/screens/home/home.dart';
import 'package:fitton/screens/login/Animation/FadeAnimation.dart';
import 'package:fitton/screens/login/signup.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class Login extends StatefulWidget {
  @override
  _LoginState createState() => _LoginState();
}

class _LoginState extends State<Login> {
  @override
	Widget build(BuildContext context) {
		return Scaffold(
				backgroundColor: Colors.white,
				body: SingleChildScrollView(
					child: Container(
						child: Column(
							children: <Widget>[
								Container(
									height: 380,
									decoration: BoxDecoration(
											image: DecorationImage(
													image: AssetImage('assets/images/background.png'),
													fit: BoxFit.fill
											)
									),
									child: Stack(
										children: <Widget>[
											Positioned(
												left: 30,
												width: 80,
												height: 200,
												child: FadeAnimation(1, Container(
													decoration: BoxDecoration(
															image: DecorationImage(
																	image: AssetImage('assets/images/light-1.png')
															)
													),
												)),
											),
											Positioned(
												left: 140,
												width: 80,
												height: 150,
												child: FadeAnimation(1.3, Container(
													decoration: BoxDecoration(
															image: DecorationImage(
																	image: AssetImage('assets/images/light-2.png')
															)
													),
												)),
											),
											Positioned(
												right: 40,
												top: 30,
												width: 80,
												height: 150,
												child: FadeAnimation(1.5, Container(
													decoration: BoxDecoration(
															image: DecorationImage(
																	image: AssetImage('assets/images/clock.png')
															)
													),
												)),
											),
											Positioned(
												child: FadeAnimation(1.6, Container(
													margin: EdgeInsets.only(top: 50),
													child: Center(
														child: Text("Login", style: TextStyle(color: Colors.white, fontSize: 40, fontWeight: FontWeight.bold),),
													),
												)),
											)
										],
									),
								),
								Padding(
									padding: EdgeInsets.all(30.0),
									child: Column(
										children: <Widget>[
											FadeAnimation(1.8, Container(
												padding: EdgeInsets.all(5),
												decoration: BoxDecoration(
														color: Colors.white,
														borderRadius: BorderRadius.circular(10),
														boxShadow: [
															BoxShadow(
																	color: Color.fromRGBO(143, 148, 251, .2),
																	blurRadius: 20.0,
																	offset: Offset(0, 10)
															)
														]
												),
												child: Column(
													children: <Widget>[
														Container(
															padding: EdgeInsets.all(8.0),
															decoration: BoxDecoration(
																	border: Border(bottom: BorderSide(color: Colors.grey[100]))
															),
															child: TextField(
																decoration: InputDecoration(
																		border: InputBorder.none,
																		hintText: "Email",
																		hintStyle: TextStyle(color: Colors.grey[400])
																),
															),
														),
														Container(
															padding: EdgeInsets.all(8.0),
															child: TextField(
																enableSuggestions: false,
																autocorrect: false,
																obscureText: true,
																decoration: InputDecoration(
																		border: InputBorder.none,
																		hintText: "Password",
																		hintStyle: TextStyle(color: Colors.grey[400])
																),
															),
														)
													],
												),
											)),
											SizedBox(height: 50,),
											FadeAnimation(2,
												DefaultButton(
													text: "Login",
													bg: true,
													press: () {
														Navigator.push(
															context,
															MaterialPageRoute(builder: (context) => (Home())),
														);
													},
												),
											),
											SizedBox(height: 10,),
											FadeAnimation(2,
												DefaultButton(
													text: "Sign Up",
													bg: false,
													press: () {
														Navigator.push(
															context,
															MaterialPageRoute(builder: (context) => (Signup())),
														);
													},
												),
											),
											SizedBox(height: 30,),
											FadeAnimation(1.5, Text("Forgot Password?", style: TextStyle(color: Colors.deepPurpleAccent),)),
										],
									),
								)
							],
						),
					),
				)
		);
	}
}
