import 'package:fitton/component/clipper.dart';
import 'package:fitton/component/colour_card.dart';
import 'package:fitton/component/default_button.dart';
import 'package:fitton/screens/bodymeasurement/bodyMeasurementForm.dart';
import 'package:fitton/screens/skinColourDetection/imagepicker.dart';
import 'package:flutter/material.dart';

class SuggestColor extends StatefulWidget {
  final Color skinTone;
  SuggestColor(this.skinTone);

  @override
  _SuggestColorState createState() => _SuggestColorState();
}

class _SuggestColorState extends State<SuggestColor> {

  List<String> cName = ["Purple","Blue","Grey","Red"];
  List<MaterialColor> cList = [Colors.purple,Colors.indigo,Colors.grey,Colors.red];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          ClipPath(
              clipper: MyClipper(),
              child: Container(
                color: Colors.deepPurpleAccent,
              )
          ),
          SingleChildScrollView(
            child: Padding(
            padding: EdgeInsets.only(left: 30.0, right: 30.0),
            child: Column(
                children: <Widget>[
                  SizedBox(
                    height: 80.0,
                  ),
                  Center(
                    child: Text("Matching Dress Colours", style: TextStyle(color: Colors.white, fontSize: 30, fontWeight: FontWeight.bold),),
                  ),
                  SizedBox(
                    height: 20.0,
                  ),
                  Center(
                    child: Text("Those are the results that match with your skin tone. Select desired colour or colours.", style: TextStyle(color: Colors.white, fontSize: 20,),),
                  ),
                  SizedBox(
                    height: 100.0,
                  ),
                  ListView.builder(
                      scrollDirection: Axis.vertical,
                      shrinkWrap: true,
                      itemCount: cName.length,
                      physics:  ClampingScrollPhysics(),
                      itemBuilder: (context, index) {
                        return ColourCard(
                          cList[index],cName[index]
                        );
                      }),
                  SizedBox(
                    height: 50.0,
                  ),
                  DefaultButton(
                    text: "Search with All Colours",
                    bg: false,
                    press: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => (BodyMeasurementForm(widget.skinTone))),
                      );
                    },
                  ),
                  SizedBox(
                    height: 20.0,
                  ),
                  DefaultButton(
                    text: "Back",
                    bg: true,
                    press: () {
                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) => (ImgPicker())),
                      );
                    },
                  ),
                  SizedBox(
                    height: 20.0,
                  ),
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
